<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'project-view'">
  @if (projectViewService.componentData$ | async; as componentData) {
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <ng-content select="[projection=context-title]"> </ng-content>
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [entityNameKey]="'name'"
            [dropdownMenu]="projectMenu"
            [showMenu]="adminReferentialDataService.loggedAsAdmin$ | async"
            [hasAttachments]="true"
            [attachmentList]="componentData.project.attachmentList"
            (attachmentBadgeClickEvent)="openAttachmentPanel()"
          >
            <ng-content select="[projection=context-buttons]"></ng-content>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  @if (projectViewService.isProjectTemplate$ | async) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      sqtmCoreDefaultAnchorLink
                      [id]="'projectAssociatedToTemplate'"
                      [nzTooltipTitle]="
                        'sqtm-core.project-associated-to-template.title'
                          | translate
                      "
                      [iconName]="'sqtm-core-administration:project'"
                    >
                    </sqtm-core-anchor-link>
                  }
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'bugtracker'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.bugtracker.label.singular' | translate
                    "
                    [iconName]="'sqtm-core-administration:bugtracker'"
                  >
                  </sqtm-core-anchor-link>
                  @if (isUltimate$()) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'aiServer'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.ai-server.label' | translate
                      "
                      [iconName]="
                        'sqtm-core-administration:artificial-intelligence'
                      "
                    >
                    </sqtm-core-anchor-link>
                  }
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'permissions'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.project.authorizations.label.plural'
                        | translate
                    "
                    [iconName]="'sqtm-core-administration:user'"
                  >
                    @if (
                      projectViewService.permissionCount$ | async;
                      as permissionCount
                    ) {
                      @if (permissionCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'project-view-permission-count'
                          "
                        >
                          <span>{{ permissionCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'execution'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.execution.label.singular' | translate
                    "
                    [iconName]="'sqtm-core-administration:execution'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'automation'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.automation.label.singular' | translate
                    "
                    [iconName]="'sqtm-core-administration:automation'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                <sqtm-core-anchor-group [id]="'custom'">
                  <sqtm-core-anchor-link
                    [id]="'custom-fields'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.custom-field.label.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:custom_field'"
                  >
                    @if (
                      projectViewService.customFieldCount$ | async;
                      as customFieldCount
                    ) {
                      @if (customFieldCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'project-view-custom-field-count'
                          "
                        >
                          <span>{{ customFieldCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    [id]="'info-lists'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.info-list.label.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:infolist'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                @if (
                  adminReferentialDataService.milestoneFeatureEnabled$ | async
                ) {
                  <sqtm-core-anchor-group [id]="'milestones'">
                    <sqtm-core-anchor-link
                      [id]="'milestones'"
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.milestone.label.plural' | translate
                      "
                      [iconName]="'sqtm-core-administration:milestone'"
                    >
                      @if (
                        projectViewService.milestoneCount$ | async;
                        as milestoneCount
                      ) {
                        @if (milestoneCount > 0) {
                          <div
                            class="anchor-counter"
                            [attr.data-test-element-id]="
                              'project-view-milestone-count'
                            "
                          >
                            <span>{{ milestoneCount }}</span>
                          </div>
                        }
                      }
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
                <sqtm-core-anchor-group [id]="'plugins'">
                  <sqtm-core-anchor-link
                    [id]="'plugins'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.plugin.label.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:plugin'"
                  >
                    @if (
                      projectViewService.activePluginCount$ | async;
                      as pluginCount
                    ) {
                      @if (pluginCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'project-view-plugin-count'
                          "
                        >
                          <span>{{ pluginCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
                @if (!(projectViewService.isProjectTemplate$ | async)) {
                  <sqtm-core-anchor-group [id]="'imports'">
                    <sqtm-core-anchor-link
                      [id]="'imports'"
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.imports' | translate
                      "
                      [iconName]="'sqtm-core-generic:database-import-outline'"
                    >
                    </sqtm-core-anchor-link>
                  </sqtm-core-anchor-group>
                }
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
    <nz-dropdown-menu #projectMenu="nzDropdownMenu">
      <ul nz-menu [attr.data-test-menu-id]="'project-menu'">
        @if (!componentData.project.template) {
          <li
            nz-menu-item
            [attr.data-test-menu-item-id]="'associate-template'"
            (click)="associateTemplate()"
          >
            {{
              (componentData.project.linkedTemplate
                ? 'sqtm-core.administration-workspace.projects.dialog.title.disassociate-from-template'
                : 'sqtm-core.administration-workspace.projects.dialog.title.associate-template.short'
              ) | translate
            }}
          </li>
        }
        @if (!componentData.project.template) {
          <li
            nz-menu-item
            [attr.data-test-menu-item-id]="'transform-into-template'"
            (click)="coerceIntoTemplate()"
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.title.coerce-into-template.short'
                | translate
            }}
          </li>
        }
        <li
          nz-menu-item
          class="sqtm-core-error-message"
          [attr.data-test-menu-item-id]="'delete-project'"
          (click)="handleDelete()"
        >
          {{ getDeleteItemLabel(componentData.project.template) | translate }}
        </li>
      </ul>
    </nz-dropdown-menu>
    <sqtm-core-attachment-drawer [canAttach]="true">
    </sqtm-core-attachment-drawer>
  }
</sqtm-core-entity-view-wrapper>
